From 7308f0ad4e4805cf8767e952f573bc962814b78a Mon Sep 17 00:00:00 2001
From: Dennis Gilmore <dennis@ausil.us>
Date: Oct 29 2016 22:12:37 +0000
Subject: [PATCH 1/3] update README, 0.5.10.8 release


Signed-off-by: Dennis Gilmore <dennis@ausil.us>

---

diff --git a/README b/README
index 6db691f..2d60627 100644
--- a/README
+++ b/README
@@ -1 +1,8 @@
-Added a wrapper for old style hashes in rpm  rpmbuild-md5
+fedora-packager is a collection of tools and configuration files to enable developers
+to set up their development environment. it also provides a python library fedora_cert
+to manage koji certificates.
+
+for contributoons fork fedora-packager at https://pagure.io/fedora-packager/ and submit
+pull requests.
+
+File issues with fedora-packager at https://pagure.io/fedora-packager/
diff --git a/configure.ac b/configure.ac
index ce001be..ec511e7 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,4 +1,4 @@
-AC_INIT([fedora-packager], [0.5.10.7])
+AC_INIT([fedora-packager], [0.5.10.8])
 AM_INIT_AUTOMAKE([dist-bzip2 no-dist-gzip tar-pax])
 AM_PATH_PYTHON(,, [:])
 AM_CONDITIONAL([HAVE_PYTHON], [test "$PYTHON" != :])

From 154472ea7375dde361fc19ca4cc666d0a68b7b1e Mon Sep 17 00:00:00 2001
From: Dennis Gilmore <dennis@ausil.us>
Date: Nov 20 2016 01:32:20 +0000
Subject: [PATCH 2/3] alternate koji config updates


move the koji configs into /etc/koji.conf.d
name each one witha  unique section so we can use koji profiles
switch to kerberos for auth
switch teh wrapper to use koji profiles

Signed-off-by: Dennis Gilmore <dennis@ausil.us>

---

diff --git a/Makefile.am b/Makefile.am
index 0ed368e..0e5a334 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -77,7 +77,7 @@ kojiconf_DATA = $(srcdir)/configs/arm-config \
 	$(srcdir)/configs/ppc-config \
 	$(srcdir)/configs/s390-config \
 	$(srcdir)/configs/stg-config
-kojiconfdir = $(sysconfdir)/koji
+kojiconfdir = $(sysconfdir)/koji.conf.d/
 
 EXTRA_DIST += krb-configs/fedoraproject_org \
 	krb-configs/stg_fedoraproject_org
diff --git a/configs/arm-config b/configs/arm-config
index 21548a6..c601e3a 100644
--- a/configs/arm-config
+++ b/configs/arm-config
@@ -1,4 +1,4 @@
-[koji]
+[arm]
 
 ;configuration for koji cli tool
 
@@ -11,12 +11,6 @@ weburl = http://arm.koji.fedoraproject.org/koji
 ;url of package download site
 topurl = http://armpkgs.fedoraproject.org/
 
-
-;configuration for SSL athentication
-
-;client certificate
-cert = ~/.fedora.cert
-
-;certificate of the CA that issued the HTTP server certificate
-serverca = ~/.fedora-server-ca.cert
+authtype = kerberos
+krbservice = kojihub
 
diff --git a/configs/ppc-config b/configs/ppc-config
index 5872c8b..cfdcffc 100644
--- a/configs/ppc-config
+++ b/configs/ppc-config
@@ -1,4 +1,4 @@
-[koji]
+[ppc]
 
 ;configuration for koji cli tool
 
@@ -11,11 +11,5 @@ weburl = http://ppc.koji.fedoraproject.org/koji
 ;url of package download site
 topurl = http://ppc.koji.fedoraproject.org/
 
-;configuration for SSL athentication
-
-;client certificate
-cert = ~/.fedora.cert
-
-;certificate of the CA that issued the HTTP server certificate
-serverca = ~/.fedora-server-ca.cert
-
+authtype = kerberos
+krbservice = kojihub
diff --git a/configs/s390-config b/configs/s390-config
index 697825c..5742249 100644
--- a/configs/s390-config
+++ b/configs/s390-config
@@ -1,4 +1,4 @@
-[koji]
+[stg]
 
 ;configuration for koji cli tool
 
@@ -11,11 +11,5 @@ weburl = http://s390.koji.fedoraproject.org/koji
 ;url of package download site
 topurl = http://s390pkgs.fedoraproject.org/
 
-;configuration for SSL athentication
-
-;client certificate
-cert = ~/.fedora.cert
-
-;certificate of the CA that issued the HTTP server certificate
-serverca = ~/.fedora-server-ca.cert
-
+authtype = kerberos
+krbservice = kojihub
diff --git a/configs/stg-config b/configs/stg-config
index 898b170..56d5cb2 100644
--- a/configs/stg-config
+++ b/configs/stg-config
@@ -1,4 +1,4 @@
-[koji]
+[stg]
 
 ;configuration for koji cli tool
 
@@ -11,12 +11,5 @@ weburl = http://koji.stg.fedoraproject.org/koji
 ;url of package download site
 topurl = http://kojipkgs.stg.fedoraproject.org/
 
-
-;configuration for SSL athentication
-
-;client certificate
-cert = ~/.fedora.cert
-
-;certificate of the CA that issued the HTTP server certificate
-serverca = ~/.fedora-server-ca.cert
-
+authtype = kerberos
+krbservice = kojihub
diff --git a/src/secondary-koji b/src/secondary-koji
index 0d0dcaa..e8c1426 100755
--- a/src/secondary-koji
+++ b/src/secondary-koji
@@ -2,11 +2,11 @@
 
 arch=`basename $0 | cut -d '-' -f 1`
 
-config="/etc/koji/${arch}-config"
+config="/etc/koji.conf.d/${arch}-config"
 
 if [ ! -f $config ]; then
     echo "Config file for $arch doesn't exist"
     exit 1
 fi
 
-koji -c $config "$@"
+koji --profile ${arch} "$@"

From bda3b46a0d316ec43a9c81b1b84610f8ee50509d Mon Sep 17 00:00:00 2001
From: Dennis Gilmore <dennis@ausil.us>
Date: Nov 25 2016 03:38:20 +0000
Subject: [PATCH 3/3] fix up s390 section remove krbservice


krbservice was coppied from internal configs, lets drop it.
fix up the s390 config

Signed-off-by: Dennis Gilmore <dennis@ausil.us>

---

diff --git a/configs/arm-config b/configs/arm-config
index c601e3a..0e4abf5 100644
--- a/configs/arm-config
+++ b/configs/arm-config
@@ -12,5 +12,4 @@ weburl = http://arm.koji.fedoraproject.org/koji
 topurl = http://armpkgs.fedoraproject.org/
 
 authtype = kerberos
-krbservice = kojihub
 
diff --git a/configs/ppc-config b/configs/ppc-config
index cfdcffc..0e7add6 100644
--- a/configs/ppc-config
+++ b/configs/ppc-config
@@ -12,4 +12,3 @@ weburl = http://ppc.koji.fedoraproject.org/koji
 topurl = http://ppc.koji.fedoraproject.org/
 
 authtype = kerberos
-krbservice = kojihub
diff --git a/configs/s390-config b/configs/s390-config
index 5742249..7ee07de 100644
--- a/configs/s390-config
+++ b/configs/s390-config
@@ -1,4 +1,4 @@
-[stg]
+[s390]
 
 ;configuration for koji cli tool
 
@@ -12,4 +12,3 @@ weburl = http://s390.koji.fedoraproject.org/koji
 topurl = http://s390pkgs.fedoraproject.org/
 
 authtype = kerberos
-krbservice = kojihub
diff --git a/configs/stg-config b/configs/stg-config
index 56d5cb2..b27dc90 100644
--- a/configs/stg-config
+++ b/configs/stg-config
@@ -12,4 +12,3 @@ weburl = http://koji.stg.fedoraproject.org/koji
 topurl = http://kojipkgs.stg.fedoraproject.org/
 
 authtype = kerberos
-krbservice = kojihub

